Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 590388 - wpa_supplicant-0.7.3 is available
Summary: wpa_supplicant-0.7.3 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: wpa_supplicant
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-09 10:20 UTC by Upstream Release Monitoring
Modified: 2011-01-11 15:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-11 15:19:43 UTC


Attachments (Terms of Use)

Description Upstream Release Monitoring 2010-05-09 10:20:17 UTC
Latest upstream release: 0.6.10
Current version in Fedora Rawhide: 0.6.8
URL: http://w1.fi/wpa_supplicant/

Please consult the package update guidelines before you issue an update to a stable branch: https://fedoraproject.org/wiki/Package_update_guidelines

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_Release_Monitoring

Comment 1 acount closed by user 2010-05-09 11:40:44 UTC
2010-01-12 - v0.6.10
	* fixed SHA-256 based key derivation function to match with the
	  standard when using CCMP (for IEEE 802.11r and IEEE 802.11w)
	  (note: this breaks interoperability with previous version) [Bug 307]
	* changed driver_wext to disconnect at init/deinit to clear state
	* added explicit disconnect on 4-way handshake failures
	* added WPS workarounds for known interoperability issues with broken,
	  deployed implementation
	* update IEEE 802.11w implementation to match with the published
	  standard
	* do not send WPS M8 message when learning current AP configuration as
	  an external Registrar
	* added a workaround for race condition between receive EAPOL frames
	  and association events
	* fixed compilation with newer GnuTLS versions
	* fixed PKCS#12 use with OpenSSL 1.0.0

2009-03-23 - v0.6.9
	* driver_ndis: add PAE group address to the multicast address list to
	  fix wired IEEE 802.1X authentication
	* fixed IEEE 802.11r key derivation function to match with the standard
	  (note: this breaks interoperability with previous version) [Bug 303]

Comment 2 Dan Williams 2010-05-12 19:18:50 UTC
It's likely for rawhide that we'll move directly to the 0.7.x series.  I'm happy to backport anything that looks like a bug fix from 0.6.10 though; I did look through git recently and didn't find anything terribly critical in wpa_supplicant itself.

We've already got at least a few of these ("changed driver_wext to disconnect at init/deinit to clear state", "added a workaround for race condition between receive EAPOL frames and association events", "fixed PKCS#12 use with OpenSSL 1.0.0") in our current packages.

Comment 3 Upstream Release Monitoring 2010-05-17 10:46:59 UTC
Latest upstream release: 0.7.2
Current version in Fedora Rawhide: 0.6.8
URL: http://w1.fi/wpa_supplicant/

Please consult the package update guidelines before you issue an update to a stable branch: https://fedoraproject.org/wiki/Package_update_guidelines

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_Release_Monitoring

Comment 4 Upstream Release Monitoring 2010-06-26 10:24:04 UTC
Latest upstream release: 0.6.10
Current version in Fedora Rawhide: 0.6.8
URL: http://w1.fi/releases/

Please consult the package update guidelines before you issue an update to a stable branch: https://fedoraproject.org/wiki/Package_update_guidelines

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_Release_Monitoring

Comment 5 Account closed by user 2010-11-27 15:17:50 UTC
0.7.x tree is now STABLE, latest is 0.7.3 http://w1.fi/releases.html

Comment 7 Upstream Release Monitoring 2010-12-01 20:23:21 UTC
Latest upstream release: 0.7.3
Current version in Fedora Rawhide: 0.6.8
URL: http://w1.fi/releases/

Please consult the package update guidelines before you issue an update to a stable branch: https://fedoraproject.org/wiki/Package_update_guidelines

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_Release_Monitoring

Comment 8 Dan Williams 2011-01-11 15:19:43 UTC
0.7.3 was built for rawhide on 2010-12-15.


Note You need to log in before you can comment on or make changes to this bug.